/* Proměnné barev */
:root {
    --white: #F2F2F2;
    --light-grey: #E0E0E0;
    --red: #EB5757;
    --black: #333333;
}

body {
    font-family: 'Roboto', sans-serif;
    margin: 0;
    background: var(--white);
    height: 100%;
}

footer {
    position: fixed;
    bottom: 0;
    width: 100%;
    height: 48px;
    background-color: white;
    box-shadow: 0px -2px 4px rgba(0, 0, 0, 0.25);
    z-index: 2;
}

footer p {
    margin: auto;
    width: 50%;
    text-align: center;
    padding: 13px;
}

/* Navbar */
nav {
    position: fixed;
    height: 64px;
    width: 100%;
    top: 0px;
    box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.25);
    background: white;
    z-index: 2;
}

.menu {
    position: relative;
    display: inline-block;
}

.menu-icon {
    font-size: 32px;
    position: fixed;
    right: 0;
    top: 0;
    padding: 16px;

}

.menu ul {
    display: none;
    position: fixed;
    background-color: white;
    box-shadow: -2px 2px 4px rgba(0, 0, 0, 0.25);
    z-index: 1;
    list-style: none;
    margin: 0;
    top: 64px;
    right: 0;
    padding: 12px;
    width: 196px;
    bottom: 0;
    overflow-y: scroll;
}

.menu ul span p {
    text-align: right;
    margin-top: 16px;
    padding: 8px;
    padding-bottom: 12px;
    margin-bottom: 0;
    border-bottom: 1px solid var(--light-grey);
    font-weight: bold;
}

.menu ul li {
    text-align: right;
    padding: 8px;
    border-bottom: 1px solid var(--light-grey);
    max-width: 180px;
    overflow: hidden;
}

.menu ul li:first-child {
    text-align: right;
    padding: 8px;
    border-bottom: 1px solid var(--light-grey);
    border-top: 1px solid var(--light-grey);
}

.menu ul li:hover {
    background: var(--light-grey);
    color: white;
}

.menu ul li a {
    text-decoration: none;
    color: var(--black);
}

.menu:hover ul {
    display: block;
}

/* Header */
header {
    height: auto;
    width: 100%;
    margin: 10px 10px 0 0;
    text-align: center;
    justify-content: center;
    background: var(--white);
    background-position: center;
    background-size: cover;
    margin-top: 88px;
}

header h1 {
    font-size: 88px;
    font-weight: 600;
    line-height: 88px;
    text-transform: uppercase;
    margin-bottom: 20px;
}

header h1 span {
    color: var(--red);
}

header p {
    margin-left: 256px;
    margin-right: 256px;
    margin-bottom: 40px;
}

/* Čti více - button v index.html */
.readmore {
    width: 140px;
    height: 50px;
    border: 2px;
    border-color: var(--red);
    border-style: solid;
    background: var(--white);
    font-weight: bold;
}

.readmore:hover {
    background: var(--red);
    color: var(--white);
}

/* Styly pro formuláře v administraci */
.form-dual {
    margin-top: 120px;
    display: flex;
    justify-content: center;
    text-align: center;
}

.form {
    margin-top: 120px;
    display: grid;
    justify-content: center;
    text-align: center;
}

.left-form {
    text-align: right;
    margin-right: 5px;
}

.right-form {
    margin-left: 5px;
}

.form input {
    padding: 12px 20px;
    margin: 8px 0;
    display: inline-block;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
}

.input {
    padding: 12px 20px;
    margin: 8px 0;
    display: inline-block;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
}

.text-input {
    padding: 12px 20px;
    height: 128px;
    margin: 8px 0;
    display: inline-block;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
    margin-right: 4px;
    justify-content: flex-start;
    max-width: 204px;
    min-width: 204px;
    min-height: 86px;
}

#nadpis {
    text-transform: uppercase;
}

/* Karty log */
.gallery {
    margin: 80px 16px 64px 16px;
    align-items: center;
    justify-content: center;
    padding: auto;
    display: block;
}

.card {
    background-color: white;
    box-shadow: 0px 0px 8px rgba(0, 0, 0, 0.25);
    padding: 12px;
    display: inline-grid;
    position: relative;
    margin: 4px;
}

.card img {
    width: 210px;
    height: 210px;
}

.card .card-content {
    display: none;
}

.card:hover .card-content {
    margin-top: 8px;
    display: block;
    border-top: 1px solid var(--light-grey);
}


.card-content {
    width: 210px;
}

.card-title {
    text-align: center;
    display: block;
    padding: 8px;
    font-weight: bold;
    text-transform: uppercase;
}

.card-content p {
    text-align: center;
    margin: 8px 2px 8px 2px;
    overflow-wrap: break-word;
}

/* Zobrazí se pouze pod 800px -> mobilní zařízení */
@media only screen and (max-width: 768px) {
    footer {
        font-size: 14px;
    }

    header {
        margin-top: 80px;
    }

    header h1 {
        font-size: 48px;
        line-height: 64px;
    }

    header p {
        margin-left: 20px;
        margin-right: 20px;
        margin-bottom: 40px;
    }

    .form-dual {
        display: grid;
    }
}